weka.knowledgeflow.steps

## Class FlowByExpression.ExpressionNode

- java.lang.Object
- - weka.knowledgeflow.steps.FlowByExpression.ExpressionNode

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    FlowByExpression.BracketNode, FlowByExpression.ExpressionClause
  Enclosing class:
    FlowByExpression

      public abstract static class FlowByExpression.ExpressionNode
      extends java.lang.Object
      implements java.io.Serializable

  Abstract base class for parts of a boolean expression.
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionNode()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `evaluate(Instance inst, boolean result)` Evaluate this node and combine with the result so far
    `void` | `init(Instances structure, Environment env)` Initialize the node
    `boolean` | `isNegated()` Get whether this node is negated.
    `boolean` | `isOr()` Get whether this node is to be OR'ed
    `void` | `setIsOr(boolean isOr)` Set whether this node is to be OR'ed to the result so far
    `void` | `setNegated(boolean negated)` Set whether this node is negated
    `void` | `setShowAndOr(boolean show)` Set whether to show the combination operator in the textual description
    `abstract javax.swing.tree.DefaultMutableTreeNode` | `toJTree(javax.swing.tree.DefaultMutableTreeNode parent)` Get a DefaultMutableTreeNode for this node
    `abstract void` | `toStringDisplay(java.lang.StringBuffer buff)` Get the display representation of this node
    `abstract void` | `toStringInternal(java.lang.StringBuffer buff)` Get the internal representation of this node

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionNode

          public ExpressionNode()

  - ### Method Detail

    - #### setIsOr

          public void setIsOr(boolean isOr)

      Set whether this node is to be OR'ed to the result so far
      Parameters:
        `isOr` - true if this node is to be OR'd

    - #### isOr

          public boolean isOr()

      Get whether this node is to be OR'ed
      Returns:
        true if this node is to be OR'ed with the result so far

    - #### isNegated

          public boolean isNegated()

      Get whether this node is negated.
      Returns:

    - #### setNegated

          public void setNegated(boolean negated)

      Set whether this node is negated
      Parameters:
        `negated` - true if this node is negated

    - #### setShowAndOr

          public void setShowAndOr(boolean show)

      Set whether to show the combination operator in the textual description
      Parameters:
        `show` - true if the combination operator is to be shown

    - #### init

          public void init(Instances structure,
                           Environment env)

      Initialize the node
      Parameters:
        `structure` - the structure of the incoming instances
        `env` - Environment variables

    - #### evaluate

          public abstract boolean evaluate(Instance inst,
                                           boolean result)

      Evaluate this node and combine with the result so far
      Parameters:
        `inst` - the incoming instance to evalute with
        `result` - the result to combine with
      Returns:
        the result after combining with this node

    - #### toStringInternal

          public abstract void toStringInternal(java.lang.StringBuffer buff)

      Get the internal representation of this node
      Parameters:
        `buff` - the string buffer to append to

    - #### toStringDisplay

          public abstract void toStringDisplay(java.lang.StringBuffer buff)

      Get the display representation of this node
      Parameters:
        `buff` - the string buffer to append to

    - #### toJTree

          public abstract javax.swing.tree.DefaultMutableTreeNode toJTree(javax.swing.tree.DefaultMutableTreeNode parent)

      Get a DefaultMutableTreeNode for this node
      Parameters:
        `parent` - the parent of this node (if any)
      Returns:
        the DefaultMutableTreeNode for this node